Aria: ArGlobalRetFunctor1< Ret, P1 > Class Template Reference

- Main Page
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# ArGlobalRetFunctor1< Ret, P1 > Class Template Reference

`#include <ArFunctor.h>`

Inheritance diagram for ArGlobalRetFunctor1< Ret, P1 >:

List of all members.

## Detailed Description

### template<class Ret, class P1>
class ArGlobalRetFunctor1< Ret, P1 >

Functor for a global function with 1 parameter and return value.

This is a class for global functions which take 1 parameter and return a value. This ties a C style function pointer into the functor class hierarchy as a convience. Code that has a reference to this class and treat it as an ArFunctor can use it like any other functor.

For an overall description of functors, see ArFunctor.

## Public Member Functions
| ArGlobalRetFunctor1 (Ret(*func)(P1), P1 p1)
| Constructor - supply function pointer, default parameters.
| ArGlobalRetFunctor1 (Ret(*func)(P1))
| Constructor - supply function pointer.
| ArGlobalRetFunctor1 ()
| Constructor.
virtual Ret | invokeR (P1 p1)
| Invokes the functor with return value.
virtual Ret | invokeR (void)
| Invokes the functor with return value.
virtual void | setP1 (P1 p1)
| Set the default parameter.
virtual | ~ArGlobalRetFunctor1 ()
| Destructor.
## Protected Attributes
Ret(* | myFunc )(P1)
P1 | myP1

## Constructor & Destructor Documentation

template<class Ret, class P1>

ArGlobalRetFunctor1< Ret, P1 >::ArGlobalRetFunctor1 | ( | Ret(*)(P1) | func | ) | `[inline]`

Constructor - supply function pointer.

Parameters:

  | func | global function pointer

template<class Ret, class P1>

ArGlobalRetFunctor1< Ret, P1 >::ArGlobalRetFunctor1 | ( | Ret(*)(P1) | func,
|  | P1 | p1 |
| ) |  |  | `[inline]`

Constructor - supply function pointer, default parameters.

Parameters:

  | func | global function pointer
  | p1 | default first parameter

## Member Function Documentation

template<class Ret, class P1>

virtual Ret ArGlobalRetFunctor1< Ret, P1 >::invokeR | ( | P1 | p1 | ) | `[inline, virtual]`

Invokes the functor with return value.

Parameters:

  | p1 | first parameter

Implements ArRetFunctor1< Ret, P1 >.

template<class Ret, class P1>

virtual void ArGlobalRetFunctor1< Ret, P1 >::setP1 | ( | P1 | p1 | ) | `[inline, virtual]`

Set the default parameter.

Parameters:

  | p1 | default first parameter

The documentation for this class was generated from the following file:

- ArFunctor.h